%{?dist: %{expand: %%define %dist 1}}
%define asl_ver 20080717-152144



Summary:        Atomic Secured Linux Web interface
Name:           asl-web-gui
Version:        1.0.2
Release:        3.art
URL:            http://www.atomicorp.com/
Packager:	Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor:		Atomic Corporate Industries
Source0:        asl-web-gui-%{asl_ver}.tar.gz
Source1:	asl-button.gif
Source2:	LICENSE
Source3:	web.conf
License:        Commercial
Group:          System/Servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       psa asl ossec-hids




%description
Atomic Secured Linux web interface for Plesk.


%prep
	
%setup -n asl


%build
find . -name .\*swp -exec rm -f {} \;
find . -name \*bak -exec rm -f {} \;
find . -name \*old -exec rm -f {} \;

%install
%{__rm} -rf %{buildroot}
#%{__mkdir_p} %{buildroot}/usr/bin
%{__mkdir_p} %{buildroot}/usr/local/psa/admin/htdocs/asl
%{__mkdir_p} %{buildroot}/usr/local/psa/admin/htdocs/images/custom_buttons
%{__mkdir_p} %{buildroot}/etc/asl/web.conf

%{__cp} -r * %{buildroot}/usr/local/psa/admin/htdocs/asl/
%{__install} %{SOURCE1} %{buildroot}/usr/local/psa/admin/htdocs/images/custom_buttons/asl-button.gif
%{__install} %{SOURCE2} %{buildroot}/usr/local/psa/admin/htdocs/asl/LICENSE
%{__install} -m 0640 %{SOURCE3} %{buildroot}/etc/asl/web.conf




%clean
%{__rm} -rf %{buildroot}

%post 

# Set up the button in PSA
MYSQL="mysql -u admin -p`cat /etc/psa/.psa.shadow` psa "
ATOMIC_VERSION=`echo "select text from custom_buttons where text = 'Atomic Secured Linux' " | $MYSQL`


if [ ! "$ATOMIC_VERSION" ]; then
  echo "insert into custom_buttons (sort_key,level,place,text,url,conhelp,options,file) values ('0','1','navigation','Atomic Secured Linux','/asl/index.php','Security Control Panel','256', 'asl-button.gif'); " | $MYSQL
fi


# Add psaadm user to ossec  and apache groups
if  ! grep -q ^ossec.*psaadm  /etc/group  ; then

%{?el3:/usr/sbin/usermod  -G ossec`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?el4:/usr/sbin/usermod  -G ossec`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?el5:/usr/sbin/usermod  -G ossec`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc4:/usr/sbin/usermod  -G ossec`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc5:/usr/sbin/usermod  -G ossec`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc6:/usr/sbin/usermod  -G ossec`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc7:/usr/sbin/usermod  -G ossec,`groups psaadm | sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc8:/usr/sbin/usermod  -G ossec,`groups psaadm | sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc9:/usr/sbin/usermod  -G ossec,`groups psaadm | sed 's/ /,/g'` psaadm >/dev/null 2>&1 }

fi

if  ! grep -q ^apache.*psaadm  /etc/group  ; then

%{?el3:/usr/sbin/usermod  -G apache`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?el4:/usr/sbin/usermod  -G apache`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?el5:/usr/sbin/usermod  -G apache`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc4:/usr/sbin/usermod  -G apache`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc5:/usr/sbin/usermod  -G apache`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc6:/usr/sbin/usermod  -G apache`groups psaadm | awk -F: '{print $2}' |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc7:/usr/sbin/usermod  -G apache,`groups psaadm |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc8:/usr/sbin/usermod  -G apache,`groups psaadm |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }
%{?fc9:/usr/sbin/usermod  -G apache,`groups psaadm |sed 's/ /,/g'` psaadm >/dev/null 2>&1 }

fi

# Add rpmquery to sudoers
if !  grep -q ^psaadm.*rpm-query /etc/sudoers ; then
  echo "psaadm  ALL = NOPASSWD: /var/asl/bin/rpm-query" >> /etc/sudoers
fi

# Add asl to sudoers
if ! grep -q ^psaadm.*asl$ /etc/sudoers ; then
  echo "psaadm  ALL = NOPASSWD: /var/asl/bin/asl"  >> /etc/sudoers
fi

# Comment out Defaults    requiretty
if egrep -q "^Defaults.*requiretty" /etc/sudoers; then
  perl -p -i -e "s/^Defaults.*requiretty/#Defaults    requiretty/" /etc/sudoers
fi


# restart psa
/etc/init.d/psa restart >/dev/null 2>&1


# make sure short_tags is enabled
%triggerin -- psa
if ! egrep -q "^short_open_tag = on" /usr/local/psa/admin/conf/php.ini; then
  perl -p -i -e "s/^short_open_tag.*/short_open_tag = on/" /usr/local/psa/admin/conf/php.ini
fi


#%postun
# TODO: need to do cleanup


%files
%defattr(-,root,root)
%attr(0640, psaadm, psaadm) %config(noreplace,) /etc/asl/web.conf
%dir /usr/local/psa/admin/htdocs/asl/
/usr/local/psa/admin/htdocs/asl/
/usr/local/psa/admin/htdocs/images/custom_buttons/asl-button.gif


%changelog
* Thu Jul 17 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.2-3
- Consolidated config file to /etc/asl/web.conf, and marked up so it would not be overwritten on an update.

* Mon Jul 14 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.2-1
- CSS fixes for various browsers
- Updated Vulnerability scanner with new chart system

* Tue Jul 2 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.1-1
- Bugfix for disable/enable rule and whitelisting interfaces

* Tue Jul 1 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0-1
- Major update to support mysql back end.

* Wed Jun 4 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.13
- Bugfix #138, HTML rendering in alerts page
- Bugfix #XX, fixed typo in Logfile: path

* Wed May 28 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.12
- Added in support for new SQL driven shunning backend 

* Wed Apr 30 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.11
- Added support for blacklisting by IP, Netblock, and Country
- Added support for whitelisting
- Added false-positive reporting interface to event viewer
- Updated configuration interface to use the default configuration file
- Updated active blocks interface to use paging
- Added running-event check, interface will now return an "updating" response during execution
- Bugfix #40, IE7 renders support page correctly
- Bugfix #46, whitelist/disable rule are now togglable in the event interface
- Bugfix #60, can now read mod_security events on buggy el5 systems with permissions issues
- Bugfix #85, corrected scrollbar issues for IE7
- Bugfix #91, adjusted rendering for updates area


* Tue Feb 5 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.10
- Changed support link to ssl
- Updated auth check system
- changed all the tags to not require short_open_tags

* Thu Jan 31 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.9
- added in support tab
- shifted to cache mode for rss feed

* Tue Jan 8 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.8
- added trigger to enable short_open_tag on PSA 8.3

* Mon Nov 26 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.7-1
- Update to support new shun file format

* Mon Sep 17 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.6-1
- new interface
- fixed bug with parsing modsecurity signature ids
- changed whois lookups to whois.sc
- supressed 1002 and 1003 alerts in the interface (temporary)
- supressed data from scanalert IPs (temporary)

* Mon Aug 20 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.5-1
- added in support to whitelist/disable signatures from alert view
- extended interface to show modsec signature ids

* Tue Aug 7 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.4-1
- added Blocklist interface

* Tue Jul 24 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.3-1
- Major updates/bugfixes. 

* Mon Jul 9 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.2-1
- reformating events page
- added vulnerability scanner
- Happy birthday to me. I am 34.

* Mon Jun 25 2007 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.1-1
- first cut
